Home | All Classes | Grouped Classes | Index | Search

# CL_DomDocument::save

Saves the DOM document as XML to an input source.

    	void save(
    		CL_OutputSource* output, bool delete_output = false, bool insert_whitespace = true);

Parameters:

output
  Output source to write to.
delete_output
  If true, will delete output source after usage.
insert_whitespace
  Passed on to CL_XMLWriter::set_insert_whitespace.

See also:

CL_DomDocument | CL_OutputSource | CL_XMLWriter

Questions or comments, write to the ClanLib mailing list.